/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.monitor;

import java.util.HashMap;
/**
 *   
 * @author Bill Burke (bill@jboss.org)
 * @version $Revision: 1.1.2.1 $
 */
public interface DynamicMonitorMBean
{
   public String getMonitoredAttributes();
   public void setMonitoredAttributes(String attrs);

   public String monitoredAttributesHTML();
   public HashMap monitoredAttributes();
}
